<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalform">
            <h1>#{messages['gazelle.simulator.pam.PampdcReceivedPatientLinks']}</h1>
            <!--<s:token allowMultiplePosts="true"/>-->
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{receivedPatientLinkManager.filter.urlParameters}"/>
            <script>
                updateUrl("globalform:filterUrlParameters");
                Event.observe("globalform:filterUrlParameters", 'change',
                        function () {
                            updateUrl("globalform:filterUrlParameters");
                        });
            </script>
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <div class="row">
                <ui:include src="/filter/filterDate.xhtml">
                    <ui:param name="filter" value="#{receivedPatientLinkManager.filter}"/>
                    <ui:param name="filterId" value="timestamp"/>
                    <ui:param name="filterName" value="#{messages['gazelle.pam.CreationDate']}"/>
                    <ui:param name="filterForm" value="globalform"/>
                </ui:include>
                </div>
                <div class="form-horizontal">
                <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PatientId']}</ui:define>
                    <ui:param name="id" value="pidInput"/>
                    <h:inputText value="#{receivedPatientLinkManager.searchedIdentifier}" styleClass="form-control"
                                 id="pidInput">
                        <a4j:ajax event="keyup" render="globalform"/>
                    </h:inputText>
                </ui:decorate>
                </div>
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.pam.RefreshResults']}"
                                     render="globalform">
                        <span class="gzl-icon-refresh"></span>
                    </a4j:commandLink>
                    <a4j:commandLink title="#{messages['gazelle.pam.ResetCriteria']}"
                                     actionListener="#{receivedPatientLinkManager.resetFilter()}"
                                     render="globalform">
                        <span class="gzl-icon-times-circle"></span>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>

            <rich:dataTable value="#{receivedPatientLinkManager.getPatientLinksFiltered()}" id="patientLinksTable"
                            var="link" rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="ds">
                <g:column id="dateColumn" sortBy="#{'creationDate'}"
                          sortOrder="#{dataTableStateHolder.sortOrders['creationDate']}">
                    <ui:define name="header">#{messages['gazelle.simulator.pam.CreationDate']}</ui:define>
                    <g:date value="#{link.creationDate}"/>
                </g:column>
                <g:column id="id1">
                    <ui:define name="header">#{messages['gazelle.simulator.pam.PatientId']} 1</ui:define>
                    #{link.patientIdentifierOne.fullPatientId}
                </g:column>
                <g:column id="id2">
                    <ui:define name="header">#{messages['gazelle.simulator.pam.PatientId']} 2</ui:define>
                    #{link.patientIdentifierTwo.fullPatientId}
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="patientLinksTable"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
        </h:form>
    </ui:define>
</ui:composition>
